Last Comment Bug 792884 - Event dialog broken due to FileLink feature [Error: ReferenceError: cloudFileAccounts is not defined]
: Event dialog broken due to FileLink feature [Error: ReferenceError: cloudFile...
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: Lightning: SeaMonkey Integration (show other bugs)
: Lightning 1.8
: All All
: -- normal (vote)
: 1.8
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: 738078 785692
  Show dependency treegraph
 
Reported: 2012-09-20 09:44 PDT by Stefan Sitter
Modified: 2012-09-28 08:31 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (2.61 KB, patch)
2012-09-21 05:53 PDT, Philipp Kewisch [:Fallen]
ssitter: review+
ssitter: approval‑calendar‑aurora+
ssitter: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description Stefan Sitter 2012-09-20 09:44:45 PDT
Lightning 2.0a1 + Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 SeaMonkey/2.15a1

Opening the event dialog throws the following errors:

> Error: NS_ERROR_FILE_NOT_FOUND: Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIXPCComponents_Utils.import]
> Source File: chrome://calendar/content/calendar-event-dialog.js 
> Line: 8

> Error: ReferenceError: cloudFileAccounts is not defined
> Source File: chrome://calendar/content/calendar-event-dialog.js 
> Line: 1641
Comment 1 Stefan Sitter 2012-09-20 09:55:23 PDT
Same problem using Lightning 1.8b1 + Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20120912 Firefox/16.0 SeaMonkey/2.13.
Comment 2 Philipp Kewisch [:Fallen] 2012-09-21 05:53:40 PDT
Created attachment 663367 [details] [diff] [review]
Fix - v1

I must admit I didn't test this in Seamonkey, but I did test by not importing the file and setting the pref to false, so this should fix it. Stefan, I'd appreciate if you could give this a quick test and a review.
Comment 3 Stefan Sitter 2012-09-27 10:23:50 PDT
Philipp, do you need help with check-in?
Comment 4 Philipp Kewisch [:Fallen] 2012-09-28 05:09:06 PDT
Sorry, forgot about this one. If you have a moment, could you check it in?
Comment 5 Stefan Sitter 2012-09-28 05:23:36 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/811000b2e134
Comment 6 Stefan Sitter 2012-09-28 05:26:44 PDT
Pushed to https://hg.mozilla.org/releases/comm-aurora/rev/d9d66183a1a5
Comment 7 Stefan Sitter 2012-09-28 05:31:12 PDT
Pushed to https://hg.mozilla.org/releases/comm-beta/rev/fd1c64237446

Note You need to log in before you can comment on or make changes to this bug.